import request from '@/utils/request'

// 查询APS产能信息列表
export function listCapacity(query) {
  return request({
    url: '/aps_capacity/capacity/list',
    method: 'get',
    params: query
  })
}

// 查询APS产能信息详细
export function getCapacity(sequenceId) {
  return request({
    url: '/aps_capacity/capacity/' + sequenceId,
    method: 'get'
  })
}

// 新增APS产能信息
export function addCapacity(data) {
  return request({
    url: '/aps_capacity/capacity',
    method: 'post',
    data: data
  })
}

// 修改APS产能信息
export function updateCapacity(data) {
  return request({
    url: '/aps_capacity/capacity',
    method: 'put',
    data: data
  })
}

// 删除APS产能信息
export function delCapacity(sequenceId) {
  return request({
    url: '/aps_capacity/capacity/' + sequenceId,
    method: 'delete'
  })
}
